Subject: Re: [PATCH] Document _canonical_paths.
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Fri, 19 Aug 2016 15:56:39 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Bart Schaefer wrote on Thu, Aug 18, 2016 at 18:09:28 -0700:
> If the programmer of the function went to the trouble of including a
> documentary comment, it's not the job of the documentation writer to
> nullify that.

39044 does not nullify Clint's work: the new manual text builds
on Clint's docstring and makes _canonical_paths more discoverable.

I concede that 39044 would have broken a workflow whereby one reads
a function's docstring by opening the file defining the function,
and I addressed the issue by committing an alternate patch that breaks
no workflow.

Let's move on.  The reason I got into _canonical_paths at all is that
I'm trying to improve _umount, see separate thread.

Cheers,

Daniel